package com.realnet.configmanager.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.configmanager.Entity.Configmanager;
import com.realnet.configmanager.Services.ConfigmanagerService ;






@RequestMapping(value = "/Configmanager")
 @CrossOrigin("*") 
@RestController
public class ConfigmanagerController {
	@Autowired
	private ConfigmanagerService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Configmanager")
		  public Configmanager Savedata(@RequestBody Configmanager data) {
		Configmanager save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Configmanager/{id}")
	public  Configmanager update(@RequestBody Configmanager data,@PathVariable Integer id ) {
		Configmanager update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Configmanager/getall/page")
	public Page<Configmanager> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Configmanager> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Configmanager")
	public List<Configmanager> getdetails() {
		 List<Configmanager> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Configmanager")
	public List<Configmanager> getallwioutsec() {
		 List<Configmanager> get = Service.getdetails();		
		return get;
}
@GetMapping("/Configmanager/{id}")
	public  Configmanager  getdetailsbyId(@PathVariable Integer id ) {
		Configmanager  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Configmanager/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}